
import * as React from 'react';
import { BrowserRouter as Router, Link, Route, Switch } from 'react-router-dom';
import './App.css';

import Home from './Home';
import Login from './Login';
import Schedule from './Schedule';

class App extends React.Component {
  public render() {
    return (
      <Router>
        <div>
               <h2>Welcome to Syncfusion</h2>
               <ul>
                  <li><Link to={'/'}>Home</Link></li>
                  <li><Link to={'/Login'}>Login</Link></li>
                  <li><Link to={'/Schedule'}>Schedule</Link></li>
               </ul>
               <hr />
               
               <Switch>
                  <Route exact ={true} path='/' component={Home} />
                  <Route exact = {true} path='/Login' component={Login} />
                  <Route exact = {true} path='/Schedule' component={Schedule} />
               </Switch>
            </div>
      
    </Router>
    );
  }
  
}

export default App;
