import { DataManager, WebApiAdaptor } from '@syncfusion/ej2-data';
import {
    Agenda, Day, Inject, Month, ScheduleComponent, Week, WorkWeek
} from '@syncfusion/ej2-react-schedule';
import * as React from 'react';




export default class Schedule extends React.Component {
    public scheduleObj: ScheduleComponent;
        public dataManager: DataManager = new DataManager({
            adaptor: new WebApiAdaptor,
            crossDomain: true,
            url: 'https://js.syncfusion.com/demos/ejservices/api/Schedule/LoadData'
        });
       // this.scheduleObj.eventSettings.dataSource = dataManager;
    public render() {
        return (
            <div>
                <ScheduleComponent height='650px' ref={(schedule => this.scheduleObj = schedule as ScheduleComponent)}
                    selectedDate={new Date(2017, 5, 12)} eventSettings= {{ dataSource: this.dataManager }}>
                    <Inject services={[Day, Week, WorkWeek, Month, Agenda]} />
                </ScheduleComponent>
            </div>
        );
    }
}